using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
CategoryBuilder.Create("pb2", "plazma burst 2 1!!!1!!111!1!", ModAPI.LoadSprite("pb2icon.png"));
//im cool
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Civil Security Ghost",
        DescriptionOverride = "This is a Civil Security Ghost unit from plazma burst 2.",
        CategoryOverride = ModAPI.FindCategory("pb2"),
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/csghost thumb.png"),
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("human/skin1.png");
            var flesh = ModAPI.LoadTexture("human/flesh1.png");
            var bone = ModAPI.LoadTexture("human/bone1.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);  

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Red Civil Security Ghost",
        DescriptionOverride = "This is a red Civil Security Lite unit from plazma burst 2.",
        CategoryOverride = ModAPI.FindCategory("pb2"),
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/csghostred thumb.png"),
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("human/skin2.png");
            var flesh = ModAPI.LoadTexture("human/flesh2.png");
            var bone = ModAPI.LoadTexture("human/bone2.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);  

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Blue Civil Security Ghost",
        DescriptionOverride = "This is a blue Civil Security Lite unit from plazma burst 2.",
        CategoryOverride = ModAPI.FindCategory("pb2"),
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/cslite.png"),
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("human/skin3.png");
            var flesh = ModAPI.LoadTexture("human/flesh3.png");
            var bone = ModAPI.LoadTexture("human/bone3.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);  

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Civil Security Riot",
        DescriptionOverride = "This is a Civil Security Riot unit from plazma burst 2.",
        CategoryOverride = ModAPI.FindCategory("pb2"),
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/riot.png"),
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("human/skin4.png");
            var flesh = ModAPI.LoadTexture("human/flesh4.png");
            var bone = ModAPI.LoadTexture("human/bone4.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);  

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Android",
                    NameToOrderByOverride = "6",
                    DescriptionOverride = "This is an Android enemy unit from plazma burst 2. this is probably the worst texture i have ever made but the original doesnt have alot of detail or shading.. i was going off the original.",
                    CategoryOverride = ModAPI.FindCategory("pb2"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbs/androidthumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("human/skin6.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			var person = Instance.GetComponent<PersonBehaviour>();

                        foreach (var body in person.Limbs)
                        {
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                        }

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
        }
    }
);  

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Civil Security Lite",
        DescriptionOverride = "This is a Civil Security Lite unit from plazma burst 2.",
        CategoryOverride = ModAPI.FindCategory("pb2"),
        ThumbnailOverride = ModAPI.LoadSprite("thumbs/cslitethumb.png"),
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("human/skin5.png");
            var flesh = ModAPI.LoadTexture("human/flesh4.png");
            var bone = ModAPI.LoadTexture("human/bone4.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);  
        }
    }
}